/**
 * ViewList 部件模型
 *
 * @export
 * @class ViewListModel
 */
export default class ViewListModel {

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof ViewListListMode
	 */
	public getDataItems(): any[] {
		return [
			{
				name: 'srfdescription',
				prop: 'viewdescription',
				dataType: 'TEXT',
			},
			{
				name: 'srfmajortext',
				prop: 'ibizviewmessname',
				dataType: 'TEXT',
			},
			{
				name: 'instanceaddress',
				prop: 'instanceaddress',
				dataType: 'TEXT',
			},
			{
				name: 'documentaddress',
				prop: 'documentaddress',
				dataType: 'TEXT',
			},
			{
				name: 'srfkey',
				prop: 'ibizviewmessid',
				dataType: 'GUID',
			},
			{
				name: 'ibizviewmess',
				prop: 'ibizviewmessid',
				dataType: 'FONTKEY',
			},

      {
        name:'size',
        prop:'size'
      },
      {
        name:'query',
        prop:'query'
      },
      {
        name:'sort',
        prop:'sort'
      },
      {
        name:'page',
        prop:'page'
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
		]
	}

}